.separator {
    text-align: center;
    font-size: 18px;
    font-weight: 600;
    color: #fecc00;
    background-color: #333;
    margin: 15px 0 .2rem;
    border-radius: 3px;
    padding: .25rem;
}

#select-block-constructor,
#select-mix-constructor {
    display: grid;
    grid-template-columns: repeat(8, 1fr);
    gap: .2rem;
}
#select-mix-constructor{
    grid-template-columns: repeat(7, 1fr);
    margin-bottom: 1rem;
}
.container-color > .wrap {
    display: flex;
    flex-direction: column;
    cursor: pointer;
    border-radius: 3px;
    overflow: hidden;
}

.wrap > img {
    width: 100%;
    height: 40px;
    order: 1;
    object-fit: cover;
}
#select-mix-constructor .wrap > img{
    height: 50px;
}
.wrap > span {
    text-align: center;
    order: 0;
    font-size: 16px;
    font-weight: 400;
    background-color: #333;
    color: #fff;
    border-bottom: 2px solid #fecc00;
}
.container-color > .wrap.active span{
    background-color: #fecc00;
    color: #000000;
}
#block-wrap {
    margin: 15px 0;
    overflow: hidden;
    max-width: 900px;
    width: 100%;
    max-height: 372px;
    box-shadow: 0px 0px 10px 1px rgba(0, 0, 0, 0.2);
    border-radius: 5px;
}

#block-wrap.white {
    background-color: #e5e5e5;
}

#block-wrap.gray {
    background-color: #787878;
}

#block-wrap.black {
    background-color: #303030;
}

#block-wrap .block_row {
    display: flex;
}

#block-wrap .block_row:first-child {
    margin-top: -1px;
}

#block-wrap .block_row .block {
    background-image: url(/public/images/block-constructor/301.jpg);
    background-repeat: repeat;
    background-size: cover;
}

#block-wrap.block_1 .block {
    min-width: 84px;
    min-height: 23px;
    margin: 1px;
}

#block-wrap.block_1 .block_row:nth-child(2n) {
    margin-left: -42px;
}

#block-wrap.block_2 .block {
    min-width: 84px;
    min-height: 23px;
    margin: 1.5px;
}

#block-wrap.block_2 .block:nth-child(2n) {
    min-width: 42px;
}

#block-wrap.block_2 .block_row:nth-child(2n) {
    margin-left: -67px;
}

#block-wrap.block_3 .block {
    min-width: 87px;
    min-height: 21px;
    margin: 1.5px;
    border-radius: 2px;
}

#block-wrap.block_3 .block_row:nth-child(2n) {
    margin-left: -44.5px;
}

#block-wrap.block_4 .block {
    min-width: 128px;
    min-height: 65px;
    margin: 1px;
    background-size: contain;
}

#block-wrap.block_4 .block_row:nth-child(2n) {
    margin-left: -64px;
}

/*Ригель*/

#block-wrap.block_5 .block {
    min-width: 110px;
    min-height: 13px;
    margin: 1px;
    background-size: contain;
}
/*Ригель ряды и их элементы*/
#block-wrap.block_5 .block_row:nth-child(6n-5) {
    margin-left: -50px;
}

#block-wrap.block_5 .block_row:nth-child(6n-5) > .block:nth-child(3n-2) {min-width: 110px;}
#block-wrap.block_5 .block_row:nth-child(6n-5) > .block:nth-child(3n-1) {min-width: 78px;}
#block-wrap.block_5 .block_row:nth-child(6n-5) > .block:nth-child(3n) {min-width: 46px;}

#block-wrap.block_5 .block_row:nth-child(6n-4) {
    margin-left: -20px;
}

#block-wrap.block_5 .block_row:nth-child(6n-4) > .block:nth-child(3n) {min-width: 110px;}
#block-wrap.block_5 .block_row:nth-child(6n-4) > .block:nth-child(3n-1) {min-width: 78px;}
#block-wrap.block_5 .block_row:nth-child(6n-4) > .block:nth-child(3n-2) {min-width: 46px;}

#block-wrap.block_5 .block_row:nth-child(6n-3) {
    margin-left: 0;
}
#block-wrap.block_5 .block_row:nth-child(6n-3) > .block:nth-child(3n) {min-width: 110px;}
#block-wrap.block_5 .block_row:nth-child(6n-3) > .block:nth-child(3n-2) {min-width: 78px;}
#block-wrap.block_5 .block_row:nth-child(6n-3) > .block:nth-child(3n-1) {min-width: 46px;}

#block-wrap.block_5 .block_row:nth-child(6n-2) {
    margin-left: -40px;
}
#block-wrap.block_5 .block_row:nth-child(6n-2) > .block:nth-child(3n-2) {min-width: 110px;}
#block-wrap.block_5 .block_row:nth-child(6n-2) > .block:nth-child(3n-1) {min-width: 78px;}
#block-wrap.block_5 .block_row:nth-child(6n-2) > .block:nth-child(3n) {min-width: 46px;}

#block-wrap.block_5 .block_row:nth-child(6n-1) {
    margin-left: -10px;
}
#block-wrap.block_5 .block_row:nth-child(6n-1) > .block:nth-child(3n) {min-width: 110px;}
#block-wrap.block_5 .block_row:nth-child(6n-1) > .block:nth-child(3n-1) {min-width: 78px;}
#block-wrap.block_5 .block_row:nth-child(6n-1) > .block:nth-child(3n-2) {min-width: 46px;}


#block-wrap.block_5 .block_row:nth-child(6n) {
    margin-left: -30px;
}
#block-wrap.block_5 .block_row:nth-child(6n) > .block:nth-child(3n-2) {min-width: 110px;}
#block-wrap.block_5 .block_row:nth-child(6n) > .block:nth-child(3n-1) {min-width: 78px;}
#block-wrap.block_5 .block_row:nth-child(6n) > .block:nth-child(3n) {min-width: 46px;}

/*Мозаика*/
#block-wrap.block_6 .block{
    min-width: 40px;
    min-height: 40px;
    margin: 1px;
    background-size: 250%;
}
/*Соты*/
#block-wrap.block_7 .block{
    min-width: 65px;
    min-height: 60px;
    clip-path: polygon(25% 0%, 75% 0%, 100% 50%, 75% 100%, 25% 100%, 0% 50%);
    margin: 2px 36px 3px 3px;
    background-size: 150%;
}
#block-wrap.block_7 .block_row{
    margin-top: -33px;
    margin-left: -33px;
}
#block-wrap.block_7 .block_row:nth-child(2n) {
    margin-left: 19px;
    margin-top: -33px;
}
/*Ряд*/
#block-wrap.block_8 .block{
    min-width: 80px;
    min-height: 24px;
    margin: 1px;
}
/**/
.no_select_block {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 100%;
    min-height: 400px;
    background-color: #333;
    color: #fff;
    padding: 2rem 1rem;
}

.no_select_block > b {
    font-size: 3rem;
    background-color: #fecc00;
    height: 5rem;
    width: 5rem;
    border-radius: 50%;
    text-align: center;
    line-height: 1.7;
    margin-bottom: .5rem;
}

.no_select_block > p {
    text-align: center;
    font-size: 1.2rem;
    line-height: 1.2;
}

@media (max-width: 1200px){
    #select-block-constructor{
        grid-template-columns: repeat(6, 1fr);
    }
    .wrap > img {
        height: 35px;
    }
    #select-mix-constructor {
        grid-template-columns: repeat(4, 1fr);
    }
    #select-mix-constructor .wrap > img{
        height: 45px;
    }
    #block-wrap{
        max-height: 490px;
    }
}
@media (max-width: 767.98px) {
    #block-wrap {
        margin-bottom: 0;
    }
    #block-wrap {
        max-height: 400px;
    }
}
@media (max-width: 575.98px) {
    #select-block-constructor{
        grid-template-columns: repeat(5, 1fr);
    }
}
@media (hover: none) and (min-width: 600px){
    .container-color > .wrap:hover span{
        background-color: #fecc00;
        color: #000000;
    }
}


